petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSortIntWithArrayPair

Sorts an array of integers in place in increasing order; changes a pair of integer arrays to match the sorted first array.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortIntWithArrayPair(PetscInt n,PetscInt *L,PetscInt *J, PetscInt *K)

Not Collective

### Input Parameters

| n | - number of values
| I | - array of integers
| J | - second array of integers (first array of the pair)
| K | - third array of integers (second array of the pair)

### See Also

PetscSortReal(), PetscSortIntPermutation(), PetscSortIntWithArray()

Level:intermediate
Location:src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages